## GocEllipse

GocEllipse

## Synopsis

                        GocEllipse;
    typedef             GocEllipseClass;

## Object Hierarchy

      GObject
       +----GocItem
             +----GocStyledItem
                   +----GocEllipse

## Implemented Interfaces

GocEllipse implements GOStyledObject.

## Properties

      "height"                   gdouble               : Read / Write
      "width"                    gdouble               : Read / Write
      "x"                        gdouble               : Read / Write
      "y"                        gdouble               : Read / Write

## Description

## Details

### GocEllipse

    typedef struct _GocEllipse GocEllipse;

### GocEllipseClass

    typedef GocStyledItemClass GocEllipseClass;

## Property Details

### The `"height"` property

      "height"                   gdouble               : Read / Write

The rectangle height.

Allowed values: >= 0

Default value: 0

### The `"width"` property

      "width"                    gdouble               : Read / Write

The rectangle width.

Allowed values: >= 0

Default value: 0

### The `"x"` property

      "x"                        gdouble               : Read / Write

The rectangle left position.

Default value: 0

### The `"y"` property

      "y"                        gdouble               : Read / Write

The rectangle top position.

Default value: 0